## org.eclipse.uml2.uml
Interface Feature

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

All Known Subinterfaces:
  BehavioralFeature, Connector, ExtensionEnd, Operation, Port, Property, Reception, StructuralFeature

    public interface Feature

extends RedefinableElement

A representation of the model object 'Feature'. A feature declares a behavioral or structural characteristic of instances of classifiers.

The following features are supported:

- `Is Static`
- `Featuring Classifier`

See Also:
  `UMLPackage.getFeature()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Classifier` `getFeaturingClassifier(java.lang.String name)` Retrieves the first `Classifier` with the specified 'Name' from the 'Featuring Classifier' reference list
`Classifier` `getFeaturingClassifier(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Classifier` with the specified 'Name' from the 'Featuring Classifier' reference list
`org.eclipse.emf.common.util.EList<Classifier>` `getFeaturingClassifiers()` Returns the value of the 'Featuring Classifier' reference list.
`boolean` `isStatic()` Returns the value of the 'Is Static' attribute.
`void` `setIsStatic(boolean value)` Sets the value of the '`Is Static`' attribute

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isStatic

    boolean isStatic()

  Returns the value of the 'Is Static' attribute. The default value is `"false"`. Specifies whether this feature characterizes individual instances classified by the classifier (false) or the classifier itself (true).

  Returns:
    the value of the 'Is Static' attribute.
  See Also:
    `setIsStatic(boolean)`, `UMLPackage.getFeature_IsStatic()`

### setIsStatic

    void setIsStatic(boolean value)

  Sets the value of the '`Is Static`' attribute.

  Parameters:
    `value` - the new value of the 'Is Static' attribute.
  See Also:
    `isStatic()`

### getFeaturingClassifiers

    org.eclipse.emf.common.util.EList<Classifier> getFeaturingClassifiers()

  Returns the value of the 'Featuring Classifier' reference list. The list contents are of type `Classifier`. It is bidirectional and its opposite is '`Feature`'. This feature is a derived union. The Classifiers that have this Feature as a feature.

  Returns:
    the value of the 'Featuring Classifier' reference list.
  See Also:
    `UMLPackage.getFeature_FeaturingClassifier()`, `Classifier.getFeatures()`

### getFeaturingClassifier

    Classifier getFeaturingClassifier(java.lang.String name)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Featuring Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getFeaturingClassifiers()`

### getFeaturingClassifier

    Classifier getFeaturingClassifier(java.lang.String name,
                                      boolean ignoreCase,
                                      org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Featuring Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getFeaturingClassifiers()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.